関連付けられた取引分割オブジェクト内部IDで取引分割オブジェクトをバッチで読み取ります
curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/deal-splits/2026-03/batch/read"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/deal-splits/2026-03/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}取引分割
Retrieve deal splits
関連付けられた取引分割オブジェクト内部IDで取引分割オブジェクトをバッチで読み取ります
POST
/
deal-splits
/
2026-03
/
batch
/
read
関連付けられた取引分割オブジェクト内部IDで取引分割オブジェクトをバッチで読み取ります
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
取引分割の入力の配列
Show child attributes
Show child attributes
レスポンス
successful operation
バッチ処理が完了した時点を示すタイムスタンプ(日時形式)。
バッチ処理の結果を表す取引ごとの分割オブジェクトの配列。
Show child attributes
Show child attributes
バッチ処理が始まった時点を示すタイムスタンプ(日時形式)。
次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING その他のリソースまたはドキュメントの関連付けられたURIへのリンク名の対応付け
Show child attributes
Show child attributes
バッチ処理が要求された時点を示すタイムスタンプ(日時形式)。
最終更新日 2026年4月10日
⌘I